Plug-in Documentation

Apache Ant

Overview

You can use Apache Ant to build and deploy applications. The Apache Ant plug-in automates the use of the Apache Ant command line tool.

This plug-in includes one step:

Compatibility

This plug-in requires IBM UrbanCode Deploy version 6.0 or later.

This plug-in supports Apache Ant version 1.6.5 or later.

This plug-in runs on all operating systems that UrbanCode Deploy supports with the exception of IBM z/OS.

Installation

No special steps are required for installation. See Installing plug-ins in UrbanCode Deploy.

History

Version 7

Added translations for steps and properties

Version 6

Remove the JVM Properties property because Ant ignores JAVA_OPTS

Version 5

This release includes the ability to specify the ANT_OPT environment variable.

Steps

Process steps in the Apache Ant plug-in

Ant

Run an Ant script.

Input properties for the Ant step
Name Type Description Required
ANT OPTS String One or more Ant-specific arguments, which are used in the ANT_OPTS environment variable. For example, -Xmx1024m or -XX:MaxPermSize=512m. Enter each argument on a separate line. No
ANT_HOME String The installation directory of Apache Ant. The default value is the ANT_HOME environment variable for the agent. Yes
Ant Properties String One or more Ant-specific arguments, such as using -v for verbose output. Enter each argument
on a separate line.
No
Ant Script File String The name of the Ant script file. Yes
JAVA_HOME String The path to the Java installation to run Ant scripts. The default is the JAVA_HOME
environment variable for the agent.
Yes
JVM Properties String One or more JVM-specific arguments, such as -Xmx=512m for maximum memory. Enter each argument
on a separate line.
No
Properties String These properties are passed to the Ant command processor and are available by name in the Ant script.
Enter each argument on a separate line in the following format: name=value.
No
Script Content String Defines the content of the Ant script. The content is written to the
Ant script file and then the file is run.
No
Targets String One or more names of the targets to run in the Ant script file. Do not specify a target if you are using the default target. No

Usage

With the Ant step you can specify the build script to run or you can include the build script in the step. You can also specify command-line options in the step.

Before you begin

Verify that a Java Development Kit (JDK) is installed. The required version of the JDK depends on the version of Apache Ant that you are using. See the system requirements topic under Installing Apache Ant for details.

Step palette

To access this plug-in in the palette, click Build > Build tools.